Bug 548180 - Review Request: hostapd - IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator
Review Request: hostapd - IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Aut...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
: 230449 494171 545169 (view as bug list)
Depends On:
Blocks: 549498
  Show dependency treegraph
 
Reported: 2009-12-16 15:39 EST by John W. Linville
Modified: 2013-08-07 11:35 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 549498 (view as bug list)
Environment:
Last Closed: 2009-12-21 15:41:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2009-12-16 15:39:06 EST
Spec URL: http://linville.fedorapeople.org/hostapd.spec
SRPM URL: http://linville.fedorapeople.org/hostapd-0.6.9-2.src.rpm
Description:
hostapd is a user space daemon for access point and authentication
servers.  It implements IEEE 802.11 access point management, IEEE
802.1X/WPA/WPA2/EAP Authenticators and RADIUS authentication server.

hostapd is designed to be a "daemon" program that runs in the back-
ground and acts as the backend component controlling authentication.
hostapd supports separate frontend programs and an example text-based
frontend, hostapd_cli, is included with hostapd.
Comment 1 John W. Linville 2009-12-16 15:46:08 EST
*** Bug 545169 has been marked as a duplicate of this bug. ***
Comment 2 John W. Linville 2009-12-16 16:15:17 EST
*** Bug 494171 has been marked as a duplicate of this bug. ***
Comment 3 Nicolas Chauvet (kwizart) 2009-12-16 16:29:33 EST
- starting review -
Comment 4 John W. Linville 2009-12-16 16:38:46 EST
kwizart, I snuck-in a new copy using gnutls instead of openssl -- please take note! :-)
Comment 5 John W. Linville 2009-12-16 17:11:13 EST
* Wed Dec 16 2009 John W. Linville <linville@redhat.com> - 0.6.9-3
- Use gnutls instead of openssl (avoid license disputes)
- Turn-off internal EAP server (broken w/ gnutls)
- Remove %doc files not applicable to chosen configuration
- Un-mangle README filename for logwatch sub-package
Comment 6 Nicolas Chauvet (kwizart) 2009-12-16 17:31:17 EST
* You need to use our $RPM_OPT_FLAGS (at this time it only uses -O2 -Wall -g)

* It's better to use "install -p" to prevent timestamp changes. (fixed in -3)

* There are lot of commented options. Some are tagged as experimental, But I wonder if others cannot be enabled ?
(this doesn't concern the Driver Interfaces).
Specially as the CONFIG_EAP_FAST=y which requires the newer openssl

* This package doesn't use a dist tag , Why ?

TODO
-> Duplication code verification, in progress.
-> Runtime test on ath5k driver.
Comment 7 John W. Linville 2009-12-16 18:27:15 EST
Most of the "commented options" (I presume you mean in .config) relate to the internal EAP server.  Jouni tells me that it is broken when using gnutls, so I disabled the related options when I changed the configuration to using gnutls.  We could reenable some number of them if we use openssl instead, but I wanted to avoid the license disputes.  The others relate to newer 802.11 features that may or may not be useful.

I simply forgot the RPM_OPT_FLAGS and dist tag -- this one is a bit more of a pain to package than most. :-)  Also, I had to hack the Makefile a bit to make RPM_OPT_FLAGS practical...

* Wed Dec 16 2009 John W. Linville <linville@redhat.com> - 0.6.9-4
- Remove wired.conf from %doc (not in chosen configuration)
- Use $RPM_OPT_FLAGS
- Add %{?dist} tag
Comment 8 John W. Linville 2009-12-16 19:15:41 EST
*sigh*

WPA-PSK connections seem to be broken with gnutls and/or turning-off all the EAP stuff.  So, what are the ramifications of using openssl?

If we go this route, we can reevaluate some of the other stuff in .config...

* Wed Dec 16 2009 John W. Linville <linville@redhat.com> - 0.6.9-5
- Use openssl instead of gnutls (broken)
Comment 9 John W. Linville 2009-12-16 19:18:40 EST
SRPM: http://linville.fedorapeople.org/hostapd-0.6.9-5.fc11.src.rpm
Comment 10 Peter Lemenkov 2009-12-17 06:52:36 EST
*** Bug 230449 has been marked as a duplicate of this bug. ***
Comment 11 John W. Linville 2009-12-17 10:45:22 EST
* Thu Dec 17 2009 John W. Linville <linville@redhat.com> - 0.6.9-6
- Enable RADIUS server
- Enable "wired" and "none" drivers
- Use BSD license option

SRPM: http://linville.fedorapeople.org/hostapd-0.6.9-6.fc11.src.rpm
Comment 12 Tom Hughes 2009-12-17 11:00:56 EST
I notice you haven't uncommented CONFIG_IEEE80211N in the configuration so it won't have 802.11n support.

The build I'm using at the moment does have that enabled (although I don't have any clients to test it with) and it doesn't seem to have caused any problems.
Comment 13 John W. Linville 2009-12-17 11:07:24 EST
Tom, thanks for the report!  I would be open to enabling that, just haven't tested it myself.

If you don't mind, let's get the package approved and then we can play with further configuration options...fair enough?
Comment 14 Kyle Brantley 2009-12-20 00:38:30 EST
I can provide runtime testing on ath9k on 802.11n, if needed. I'd love to see this package accepted with the full set of features that I'd be using. :)
Comment 15 Nicolas Chauvet (kwizart) 2009-12-20 17:12:04 EST
I wasn't able to use hostapd with the nl80211 driver on Fedora 11, but everything went fine for Fedora 12 using an atheros hardware.
(none work with intel and a iwl3945 driver)

++++++++++++++++++++++++++++++++++++++++

This package (hostapd) is APPROVED by me

++++++++++++++++++++++++++++++++++++++++
Comment 16 Adel Gadllah 2009-12-21 03:27:48 EST
(In reply to comment #15)
> I wasn't able to use hostapd with the nl80211 driver on Fedora 11, but
> everything went fine for Fedora 12 using an atheros hardware.
> (none work with intel and a iwl3945 driver)
> 
> ++++++++++++++++++++++++++++++++++++++++
> 
> This package (hostapd) is APPROVED by me
> 
> ++++++++++++++++++++++++++++++++++++++++  

Thanks for finally packing and reviewing this one ;)

As for the intel issue it is not supported at the driver side.
Comment 17 John W. Linville 2009-12-21 09:00:04 EST
New Package CVS Request
=======================
Package Name: hostapd
Short Description: IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator
Owners: linville
Branches: F-12
InitialCC: linville
Comment 18 Kevin Fenzi 2009-12-21 14:40:44 EST
cvs done.
Comment 19 Göran Uddeborg 2009-12-22 07:16:44 EST
FYI: I picked up hostapd-0.6.9-6.fc12.x86_64 from Koji and tried with the ath5k driver and a Nintendo Wii on the other end.  Worked fine! :-)  I don't know why I couldn't get it to work with my previous local build.  But it's always good with folks that know what they are doing.
Comment 20 Simone Caronni 2013-08-07 11:30:19 EDT
Package Change Request
======================
Package Name: hostapd
New Branches: el6
Owners: slaanesh linville
Comment 21 Jon Ciesla 2013-08-07 11:35:52 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.